# Generated by Django 4.1.2 on 2023-02-09 15:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("users", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="UserMapping",
            fields=[
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        primary_key=True,
                        related_name="sso_mapping",
                        serialize=False,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                ("uuid", models.UUIDField()),
                ("anonymized", models.BooleanField(default=False)),
                ("imported_on", models.DateField(auto_now_add=True)),
            ],
        ),
    ]
